> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a variable nature

> Retrieve a single variable nature from its identifier



## OpenAPI

````yaml /openapi-specs/pagga-remuneration.yaml get /remuneration/api/variable-natures/{id}
openapi: 3.1.0
info:
  title: Lucca-Compensation
  version: '1.0'
  description: >-
    Welcome on the documentation for the Lucca Compensation API.


    Lucca Compensation is an online compensation management service that offers
    a complete picture of compensation structure (basic salary, variable
    compensation item, ...). 
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: fixed-nature
    description: Represents a type of remuneration that is fixed, i.e. does not vary.
  - name: fixed-nature-category
    description: Represents a category of fixed-nature.
  - name: variable-nature
    description: Represents a type of remuneration that varies.
  - name: variable-nature-category
    description: Represents a category of variable-natures.
  - name: RemunerationNatures
    description: Types of remuneration.
  - name: variable-item
    description: Represents a remuneration item of type "variable-nature".
  - name: fixed-item
    description: Represents a remuneration item of type "fixed-nature".
paths:
  /remuneration/api/variable-natures/{id}:
    parameters:
      - $ref: '#/components/parameters/Authorization'
      - name: id
        in: path
        description: The id of the nature
        required: true
        schema:
          type: integer
          format: int32
    get:
      tags:
        - variable-nature
      summary: Get a variable nature
      description: Retrieve a single variable nature from its identifier
      operationId: GetVariableNatureById
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VariableNature'
        '404':
          description: Not Found
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
  schemas:
    VariableNature:
      type: object
      properties:
        id:
          type: integer
          description: An unique identifier for the variable nature
          format: int32
        name:
          maxLength: 50
          minLength: 1
          type: string
          description: The display name
          example: Annual bonus
        type:
          allOf:
            - $ref: '#/components/schemas/RemunerationNatureType'
            - description: >-
                Is the nature of the remuneration an amount of money or a
                quantity?
              x-enumNames:
                - Amount
                - Number
        category:
          anyOf:
            - $ref: '#/components/schemas/VariableNatureCategory'
              description: The category of the variable nature
            - type: 'null'
        establishments:
          description: Establishments linked to the variable nature
          type: array
          items:
            $ref: '#/components/schemas/Establishment'
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - string
            - 'null'
        title:
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
          format: int32
        detail:
          type:
            - string
            - 'null'
        instance:
          type:
            - string
            - 'null'
      additionalProperties: {}
    RemunerationNatureType:
      enum:
        - Amount
        - Number
      type: string
      description: Is the nature of the remuneration an amount of money or a quantity?
      x-enumNames:
        - Amount
        - Number
    VariableNatureCategory:
      type: object
      properties:
        id:
          type: integer
          description: An unique identifier for the variable nature category
          format: int32
        code:
          type: string
          description: An internal unique code identifying the category
          example: BONUS
      additionalProperties: false
      description: Variable nature category
    Establishment:
      type: object
      properties:
        id:
          type: integer
          description: An unique identifier for the establishment
          format: int32
        name:
          type: string
          description: The display name
          example: Lucca FR
        currencyCode:
          type: string
          description: Currency code used in this establishment
          example: EUR
        currencySymbol:
          type: string
          description: Currency symbol used in this establishment
          example: €
      additionalProperties: false

````